Si hay paquetes de OVS en el host, debe eliminarlos e instalar los paquetes compatibles.

La versión Open vSwitch compatible es la 2.9.1.8614397-1.

Procedimiento

  1. Compruebe la versión actual de la instancia de Open vSwitch instalada en el host.

    ovs-vswitchd --version

    Si tiene una versión más antigua o más reciente de Open vSwitch, debe reemplazar dicha versión por la que es compatible.

    1. Elimine los siguientes paquetes de Open vSwitch.
      • kmod-openvswitch

      • openvswitch

      • openvswitch-selinux-policy

    2. Instale NSX-T Data Center desde NSX Manger o siga el procedimiento de instalación manual.
  2. Como alternativa, actualice los paquetes de Open vSwitch requeridos por NSX-T Data Center.
    1. Inicie sesión en el host como administrador.
    2. Descargue y copie el archivo nsx-lcp en el directorio /tmp.
    3. Descomprima el paquete.

      tar -zxvf nsx-lcp-<release>-rhel74_x86_64.tar.gz

    4. Desplácese hasta el directorio del paquete.

      cd nsx-lcp-rhel74_x86_64/

    5. Reemplace la versión existente de Open vSwitch por la versión compatible.
      • Para la versión más reciente de Open vSwitch, utilice el comando --nodeps.

        Por ejemplo, rpm -Uvh kmod-openvswitch-<nueva versión>.e17.x86_64.rpm --nodeps

        rpm -Uvh openvswitch-*.rpm --nodeps

      • Para una versión anterior de Open vSwitch, utilice el comando --force.

        Por ejemplo, rpm -Uvh kmod-openvswitch-<nueva versión>.e17.x86_64.rpm --nodeps --force

        rpm -Uvh openvswitch-*.rpm --nodeps --force

Qué hacer a continuación

Agregue un host de hipervisor al tejido de NSX-T Data Center. Consulte Agregar un host hipervisor o un servidor sin sistema operativo al tejido NSX-T Data Center.